// /project/searchList

import request from '@/utils/request'

// 获取服务器列表信息
export const getProjectList = (data = {}) => {
  data.page = data.page || 1 // 当前页码
  data.content = data.content || undefined // 查询关键字
  return request({
    url: '/project/searchList',
    method: 'POST',
    data: {
      page: data.page, // 当前页码
      reqdata: {
        searchContent: data.content // 查询关键字
      }
    }
  })
}

// 添加服务器信息
export const addProject = (data) => {
  data.member = data.member.join(',')
  return request({
    url: '/project/add',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 更新服务器信息
export const updateProject = (data) => {
  return request({
    url: '/project/update',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 删除服务器信息
export const delProject = (id) => {
  return request({
    url: '/project/delete',
    method: 'POST',
    data: {
      reqdata: {
        id
      }
    }
  })
}

// 服务器部署列表信息
export const getProjectDeployList = (data = {}) => {
  data.page = data.page || 1 // 当前页码
  data.content = data.content || undefined // 查询关键字
  return request({
    url: '/projectdep/queryList',
    method: 'POST',
    data: {
      page: data.page, // 当前页码
      reqdata: {
        searchContent: data.content // 查询关键字
      }
    }
  })
}

// 添加项目部署信息
export const addProjectDeploy = (data) => {
  return request({
    url: '/projectdep/add',
    method: 'POST',
    data: {
      reqdata: data
    }
  })
}

// 删除项目部署信息
export const delProjectDeploy = (id) => {
  return request({
    url: '/projectdep/delete',
    method: 'POST',
    data: {
      reqdata: {
        id
      }
    }
  })
}

// 获取异常信息列表
export const getProjectExceptionList = (data = {}) => {
  data.page = data.page || 1 // 当前页码
  data.content = data.content || undefined // 查询关键字
  return request({
    url: '/project/queryExceptionList',
    method: 'POST',
    data: {
      page: data.page, // 当前页码
      reqdata: {
        searchContent: data.content // 查询关键字
      }
    }
  })
}
